## gdb 10.1

=== debian/changelog ===
gdb (10.1-2ubuntu2) hirsute; urgency=medium

  * Update from the gdb-10-branch:
    - Fix PR gdb/27541, PR threads/27239, PR symtab/27341, PR build/27536,
      PR build/27535, PR symtab/27333, PR gdb/27147, PR gdb/26861,
      PR gdb/26828, PR gdb/27435, PR build/27385, PR tdep/27369,
      PR breakpoints/27330, PR gdb/26813, PR gdb/26881, PR remote/26614.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 11 Apr 2021 12:32:56 +0200

gdb (10.1-2ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 05 Mar 2021 18:48:32 +0100

gdb (10.1-2) unstable; urgency=high

  * Acknowledge past contributions from Matthias and Samuel.
  * Sync latest updates from 10.1 branch

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 04 Mar 2021 19:37:19 +0100

gdb (10.1-1.7+hurd.1) unreleased; urgency=high

  * patches/fork-inferior-fix: fix missing fork-inferior.c file.
  * patches/vm_min_max_address: fix missing VM_MIN/MAX_ADDRESS macros.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 24 Jan 2021 10:40:47 +0000

gdb (10.1-1.7) unstable; urgency=high

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20210103 (copyright updates).
  * Fix building the gdb-source package. Closes: #978391.
  * Call dh_dwz before dh_strip.
  * Add x86_64-linux-gnux32 as a target for gdb-multiarch.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 12:07:38 +0100

gdb (10.1-1.6ubuntu1) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 03 Jan 2021 11:06:40 +0100

gdb (10.1-1.6) unstable; urgency=high

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20210103 (copyright updates).
  * Fix building the gdb-source package. Closes: #978391.
  * Call dh_dwz before dh_strip.
  * Add x86_64-linux-gnux32 as a target for gdb-multiarch.

 -- Matthias Klose <doko@debian.org>  Sun, 03 Jan 2021 11:03:21 +0100

gdb (10.1-1.5ubuntu2) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
  * Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Dec 2020 10:08:08 +0100

gdb (10.1-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't build gdb-source when only building architecture dependent packages.
  * Don't run the tests when only building arch-indep packages.
  * Support the nodoc profile. Closes: #870646.

 -- Matthias Klose <doko@debian.org>  Thu, 17 Dec 2020 10:06:12 +0100

gdb (10.1-1.4ubuntu2) hirsute; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
  * Don't use libsource-highlight-dev on i386.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 12 Dec 2020 12:06:12 +0100

gdb (10.1-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to the gdb-10-branch 20201212.
  * debian/rules: Get rid off the cdbs named macro names. Addresses: #973355.
  * gdb-multiarch: Don't call install with -s, build a proper dbgsym package.
    Closes: #968533.
  * gdb-source: Compress with xz instead of bz2.
  * Make the build of the minimal variant optional (built by default).
  * Allow building a gdb-doc package (disabled by default).
  * Build with babeltrace everywhere.
  * Also build gdbserver on riscv64.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 12 Dec 2020 10:23:22 +0100

gdb (10.1-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to debhelper v10, not using the sequencer. Addresses: #973355.
  * Search for DWZ files in debug-file-directories as well, patch taken
    from the trunk.
  * Only build with debuginfod on linux targets.

 -- Matthias Klose <doko@debian.org>  Sun, 06 Dec 2020 22:42:31 +0100

gdb (10.1-1) unstable; urgency=medium

  * New upstream release.
  * bump debhelper compat to 10

 -- Héctor Orón Martínez <zumbi@debian.org>  Sun, 08 Nov 2020 16:34:21 +0100

gdb (10.1-0ubuntu1) hirsute; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Oct 2020 10:14:31 +0100

gdb (9.2-0ubuntu1) groovy; urgency=medium

  * New upstream version (bug fix release).

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Jun 2020 11:43:50 +0200
