=== debian/control ===
Source: gdb
Maintainer: Héctor Orón Martínez <zumbi@debian.org>
Uploaders: Riku Voipio <riku.voipio@linaro.org>,
           Sergio Durigan Junior <sergiodj@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.5.1
Rules-Requires-Root: binary-targets
Build-Depends:
# Packaging deps
               debhelper (>= 10),
               lsb-release,
               xz-utils,
# Other tool deps
               autoconf,
               libtool,
               gettext,
               bison,
               dejagnu,
               flex,
               procps,
               gobjc,
               mig [hurd-any],
# GNU/kFreeBSD deps
               libutil-freebsd-dev [kfreebsd-any],
# TeX[info] deps
               texinfo (>= 4.7-2.2),
               texlive-base <!nodoc>,
# Libdev deps
               libexpat1-dev,
               libncurses5-dev,
               libreadline-dev,
               zlib1g-dev,
               liblzma-dev,
               libbabeltrace-dev,
               libipt-dev [amd64 i386 x32],
               libsource-highlight-dev [!i386],
	       libxxhash-dev,
	       libmpfr-dev,
               pkg-config,
# Python build
               python3-dev,
               libkvm-dev [kfreebsd-any],
               libunwind-dev [ia64],
# debuginfod
               libdebuginfod-dev [linux-any],
Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
Homepage: https://www.gnu.org/s/gdb/

Package: gdb
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         ${python3:Depends}
Recommends: libc-dbg
Suggests: gdb-doc,
          gdbserver [linux-any]
Conflicts: gdb
Replaces: gdb
Provides: ${gdb:minimal}
Description: GNU Debugger
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.

Package: gdb-multiarch
Architecture: any
Depends: gdb (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Conflicts: gdb-arm-none-eabi
Breaks: gdb-arm-none-eabi
Provides: gdb-arm-none-eabi
Description: GNU Debugger (with support for multiple architectures)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains a version of GDB which supports multiple
 target architectures.

Package: gdbserver
Architecture: amd64 armel armhf arm64 i386 ia64 m32r m68k mips mipsel mips64el powerpc powerpcspe ppc64 ppc64el riscv64 s390 s390x x32
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: gdb (<< 7.0.1-1)
Description: GNU Debugger (remote server)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains gdbserver.  Install this to debug remotely
 from another system where GDB is installed.

Package: gdb-source
Architecture: all
Depends: ${misc:Depends}
Description: GNU Debugger (source)
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, gdb supports C, C++, D,
 Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
 Go, and Ada. A must-have for any serious programmer.
 .
 This package contains the sources and patches which are needed
 to build GDB.

Package: gdb-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
Description: The GNU Debugger Documentation
 GDB is a source-level debugger, capable of breaking programs at
 any specific line, displaying variable values, and determining
 where errors occurred. Currently, it works for C, C++, Fortran,
 Modula 2 and Java programs. A must-have for any serious
 programmer.
 .
 This package contains the GDB manual.
