## gdb 11.1

=== debian/changelog ===
gdb (11.1-0ubuntu2) impish; urgency=medium

  * GDB 11.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Sep 2021 13:32:16 +0200

gdb (11.0.90.20210903-0ubuntu3) impish; urgency=medium

  * Also disable building the simulator on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 14:15:42 +0200

gdb (11.0.90.20210903-0ubuntu2) impish; urgency=medium

  * Also disable building the simulator on armhf and arm64.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 09:26:23 +0200

gdb (11.0.90.20210903-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Sep 2021 08:36:50 +0200

gdb (11.0.90.20210809-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 09 Aug 2021 19:16:34 +0200

gdb (11.0.90.20210706-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 07 Jul 2021 10:14:09 +0200

gdb (11.0.90.20210705-0ubuntu2) impish; urgency=medium

  * Apply proposed patch for PR gdb/28056.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 21:14:03 +0200

gdb (11.0.90.20210705-0ubuntu1) impish; urgency=medium

  * New upstream snapshot, taken from the gdb-11 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Jul 2021 09:38:27 +0200

gdb (11.0.50.20210630-0ubuntu1) impish; urgency=medium

  * New upstream snapshot.
  * Configure with --disable-werror.
  * Configure with --disable-sim on ppc64el.
  * Build-depend / depend on libc6-dbg on armhf. LP: #1927192.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jun 2021 11:53:33 +0200

gdb (10.2-0ubuntu2) impish; urgency=medium

  * Ship an (empty) /etc/gdb/gdbinit.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 28 Apr 2021 17:20:47 +0200

gdb (10.2-0ubuntu1) impish; urgency=medium

  * gdb 10.2 release. Changes compared to 10.1-2ubuntu2:
    - Fix getting range of flexible array member in Python.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 Apr 2021 15:26:04 +0200
