=== debian/rules ===
--- 
+++ 
@@ -113,9 +113,9 @@
   run_tests := only enabled for linux targets
 endif
 
-ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
-  run_tests := not enabled for $(DEB_HOST_ARCH)
-endif
+#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
+#  run_tests := not enabled for $(DEB_HOST_ARCH)
+#endif
 
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
@@ -135,21 +135,26 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
+	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
 	--disable-gdbtk \
 	--disable-shared \
+	--with-system-readline \
 	--with-pkgversion='$(distribution)___$(deb_version)' \
 	--srcdir=$(CURDIR) \
-	--disable-readline \
-	--with-system-readline \
 	--with-expat \
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
+	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
+
+#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 ppc64el riscv64),--disable-sim) \
+#	--disable-readline \
+#	--with-system-readline \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -225,6 +230,7 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
+	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -246,6 +252,9 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
+	@echo "===== TEST SUMMARY BEGIN ====="
+	-cat $(builddir_default)/gdb/testsuite/gdb.sum
+	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -283,12 +292,3 @@
 
 	dh_install
 
-	install -d debian/gdb$(TS)/usr/share/man/man1; \
-	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
-
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
-	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \
