## gdb 12.0.90

=== debian/changelog ===
gdb (12.0.90-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot, taken from the gdb-12 release branch.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2022 16:27:58 +0100

gdb (12.0.50.20220217-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 17 Feb 2022 07:33:33 +0100

gdb (11.2-0ubuntu1) jammy; urgency=medium

  * GDB 11.2 release.

 -- Matthias Klose <doko@debian.org>  Wed, 19 Jan 2022 10:11:23 +0100

gdb (11.1-0ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:15:33 +0000
