=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
+               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -52,7 +53,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         libc6-dbg [armhf],
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
