## gdb 12.1

=== debian/changelog ===
gdb (12.1-4) unstable; urgency=medium

  * debian/patches/upstream-fix-core-detach-crash.patch: taken from GDB 12 branch
  * debian/patches/upstream-fix-build-readline8.patch: fix ftbfs
    (Closes: #1018821, #1020001, #1020032)

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 16:28:09 +0200

gdb (12.1-3) unstable; urgency=medium

  * No changes, source-only upload.

 -- Héctor Orón Martínez <zumbi@debian.org>  Thu, 07 Jul 2022 19:12:45 +0200

gdb (12.1-2) unstable; urgency=medium

  * debian/rules: disable simulator for certain arches

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 20:32:17 +0200

gdb (12.1-1) unstable; urgency=medium

  * Remove and thank Riku Voipio for past contributions
    (Closes: #1001561)
  * Bump standards version, no changes
  * New upstream release.
    (Closes: #1012494)
  * debian/patches: refresh, merged upstream gdb_bsd support

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 22 Jun 2022 18:10:19 +0200

gdb (11.2-1) unstable; urgency=medium

  * New upstream release.

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 29 Apr 2022 18:20:54 +0200

gdb (10.0.50.20200913-1~exp1) experimental; urgency=medium

  * New upstream version 10.0.50.20200913
  * enable debuginfod support
  * debian/patches: refresh

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 19 Sep 2020 19:21:55 +0200
