=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: gdb
 Maintainer: Héctor Orón Martínez <zumbi@debian.org>
-Uploaders: Riku Voipio <riku.voipio@linaro.org>,
-           Sergio Durigan Junior <sergiodj@debian.org>
+Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
@@ -34,7 +33,7 @@
                liblzma-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev [!i386],
+               libsource-highlight-dev,
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkg-config,
@@ -44,7 +43,6 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
-               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -53,8 +51,7 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends},
-         libc6-dbg [armhf],
+         ${python3:Depends}
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
@@ -111,17 +108,18 @@
  This package contains the sources and patches which are needed
  to build GDB.
 
-Package: gdb-doc
-Architecture: all
-Section: doc
-Depends: ${misc:Depends}
-Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
-Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
-Description: The GNU Debugger Documentation
+Package: gdb-minimal
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Provides: gdb
+Conflicts: gdb
+Replaces: gdb
+Description: GNU Debugger (minimal version)
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
- where errors occurred. Currently, it works for C, C++, Fortran,
- Modula 2 and Java programs. A must-have for any serious
- programmer.
+ where errors occurred. Currently, gdb supports C, C++, D,
+ Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
+ Go, and Ada. A must-have for any serious programmer.
  .
- This package contains the GDB manual.
+ This package contains a minimal version of GDB with optional features
+ disabled.
