=== debian/changelog ===
gdb (13.1-3) unstable; urgency=medium

  [ Emanuele Rocca ]
  * aarch64: add aarch64-pauth-registers.patch to check for valid inferior
    thread/regcache before reading pauth registers. (Closes: #1034611)

 -- Héctor Orón Martínez <zumbi@debian.org>  Sat, 13 May 2023 13:33:12 +0200

gdb (13.1-2) unstable; urgency=medium

  * Apply upstream proposed fix for PR/30158
    (Closes: #1031745)
  * debian/patches: refresh
  * install changelog on binary-arch packages
    (Closes: #1031722)
  * adjust lintian overrides

 -- Héctor Orón Martínez <zumbi@debian.org>  Fri, 24 Feb 2023 22:58:29 +0100

gdb (13.1-1) unstable; urgency=medium

  * New upstream release.
    (Closes: #1031625)

 -- Héctor Orón Martínez <zumbi@debian.org>  Mon, 20 Feb 2023 16:33:36 +0100

gdb (13.0.91.20230210-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Generate tarball using the sanitize-gdb.sh script. Closes: #1030893.
  * Fix building the gdb info documentation.

 -- Matthias Klose <doko@debian.org>  Fri, 10 Feb 2023 04:48:07 +0100

gdb (13.0.91-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * gdb 13 release candidate.

 -- Matthias Klose <doko@debian.org>  Mon, 06 Feb 2023 14:49:17 +0100

gdb (13.0.90.20230114-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * New upstream snapshot, taken from the gdb-13 release branch.
    See https://sourceware.org/pipermail/gdb-patches/2023-January/195766.html
  * Build-depend on libzstd-dev.
  * debian/copyright: Update copyright years.
  * debian/rules: Add new target to remove gfdl files.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 14 Jan 2023 09:59:00 +0100

gdb (13.0.50.20221012-1) experimental; urgency=medium

  * New upstream version 13.0.50.20221012
  * debian/gbp.conf: use experimental branch
  * debian/patches: update

 -- Héctor Orón Martínez <zumbi@debian.org>  Wed, 12 Oct 2022 17:48:19 +0200
