=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: binary-targets
 Build-Depends:
 # Packaging deps
@@ -27,10 +27,11 @@
                texlive-base <!nodoc>,
 # Libdev deps
                libexpat1-dev,
-               libncurses5-dev,
+               libncurses-dev,
                libreadline-dev,
                zlib1g-dev,
                liblzma-dev,
+               libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
                libsource-highlight-dev,
