## gdb 13.2

=== debian/changelog ===
gdb (13.2-1+rb2) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches: included upstream.
    - fix-crash-in-inside_main_func.patch
    - aarch64-pauth-registers.patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 06 Jun 2023 14:07:56 +0200
