## gdb 14.0.50.20230810

=== debian/changelog ===
gdb (14.0.50.20230810-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.
  * Configure without --with-mpfr (picked up by default).

 -- Matthias Klose <doko@ubuntu.com>  Fri, 11 Aug 2023 07:21:03 +0200

gdb (13.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian from unstable (LP: #2023016)
    - build from upstream tarball
    - debian/control:
      - removed gdb-minimal package
      - added gdb-doc package
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/control.in:
      - added (build-)dependency libc6-dbg on armhf
      - exclude libsource-highlight-dev on i386
    - debian/patches/series: 
      - apply patches gdb-strings and ptrace-error-verbosity
    - debian/gdb.install & debian/gdbserver.install: 
      - include manpages in binary packages
    - debian/rules:
      - skip tests on armhf, hanging on the buildds
      - configure with --disable-werror
      - disable configure with --disable-sim
      - clean gdb/doc/GDBvn.texi before build
      - show test summary after test run
      - disable man-page installation (moved to *.install files)

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Fri, 16 Jun 2023 14:42:38 +0300

gdb (13.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop debian/patches: included upstream.
    - fix-crash-in-inside_main_func.patch
    - aarch64-pauth-registers.patch

 -- Héctor Orón Martínez <zumbi@debian.org>  Tue, 06 Jun 2023 14:07:56 +0200

gdb (13.1-2ubuntu2) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Build a gdb-doc package, include manpages in binary packages.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.
    - (Build-)depend on libc6-dbg on armhf.
    - Don't configure with --disable-sim.
    - Configure with --disable-werror.
    - Clean gdb/doc/GDBvn.texi before build.
    - Show test summary after test run.
    - Don't build a gdb-minimal package.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Feb 2023 06:59:44 +0100

gdb (13.1-1ubuntu1) lunar; urgency=medium

  * GDB 13.1 release.
  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Build a gdb-doc package, include manpages in binary packages.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.
    - (Build-)depend on libc6-dbg on armhf.
    - Don't configure with --disable-sim.
    - Configure with --disable-werror.
    - Clean gdb/doc/GDBvn.texi before build.
    - Show test summary after test run.
    - Don't build a gdb-minimal package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 21 Feb 2023 07:58:50 +0100

gdb (13.0.91.20230210-1ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Feb 2023 05:35:58 +0100

gdb (12.1-4ubuntu1) lunar; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 14 Jan 2023 08:44:52 +0100

gdb (12.1-3ubuntu3) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:46:12 +0000

gdb (12.1-3ubuntu2) kinetic; urgency=medium

  * Fix FTBFS with readline 8.2.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 29 Sep 2022 10:34:43 +0200

gdb (12.1-3ubuntu1) kinetic; urgency=medium

  * Merge with Debian; remaining changes:
    - Build from the upstream source tarball.
    - Regenerate the control file.
    - Apply patches gdb-strings and ptrace-error-verbosity.
    - Don't use libsource-highlight-dev on i386.
    - Skip tests on armhf, hanging on the buildds.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Aug 2022 08:46:34 +0200

gdb (12.1-0ubuntu1) kinetic; urgency=medium

  * GDB 12.1 release.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2022 18:58:48 +0200
