## gdb 14.0.50.20230907

=== debian/changelog ===
gdb (14.0.50.20230907-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Sep 2023 07:55:41 +0200
