## gdb 14.1

=== debian/changelog ===
gdb (14.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:21:32 +0000

gdb (14.1-0ubuntu1) noble; urgency=medium

  * New upstream release.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 08 Dec 2023 13:25:02 +0100
