## gdb 15.0.50.20240403

=== debian/changelog ===
gdb (15.0.50.20240403-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 03 Apr 2024 12:51:19 +0200

gdb (15.0.50.20240320-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 20 Mar 2024 14:25:50 +0100

gdb (15.0.50.20240312-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Drop the time64 workarounds for armhf.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 12 Mar 2024 12:00:38 +0100

gdb (15.0.50.20240219-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
  * Support for new IBM Z Hardware (IBM z16). LP: #1982336.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 19 Feb 2024 21:49:40 +0100

gdb (15.0.50.20231231-0ubuntu1) noble; urgency=medium

  * New upstream snapshot.
    - Disable the gdb-glibc-vdso-workaround patch.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 31 Dec 2023 10:44:11 +0100
