=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: gdb
-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Héctor Orón Martínez <zumbi@debian.org>
 Uploaders: Sergio Durigan Junior <sergiodj@debian.org>
 Section: devel
 Priority: optional
@@ -34,7 +35,7 @@
                libzstd-dev,
                libbabeltrace-dev,
                libipt-dev [amd64 i386 x32],
-               libsource-highlight-dev,
+               libsource-highlight-dev [!i386],
 	       libxxhash-dev,
 	       libmpfr-dev,
                pkg-config,
@@ -44,6 +45,7 @@
                libunwind-dev [ia64],
 # debuginfod
                libdebuginfod-dev [linux-any],
+               libc6-dbg [armhf],
 Vcs-Git: https://salsa.debian.org/gdb-team/gdb.git
 Vcs-Browser: https://salsa.debian.org/gdb-team/gdb
 Homepage: https://www.gnu.org/s/gdb/
@@ -52,7 +54,8 @@
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         ${python3:Depends}
+         ${python3:Depends},
+         libc6-dbg [armhf],
 Recommends: libc-dbg
 Suggests: gdb-doc,
           gdbserver [linux-any]
@@ -109,18 +112,17 @@
  This package contains the sources and patches which are needed
  to build GDB.
 
-Package: gdb-minimal
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Provides: gdb
-Conflicts: gdb
-Replaces: gdb
-Description: GNU Debugger (minimal version)
+Package: gdb-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Breaks: gdb (<< 7.8), gdbserver (<< 7.8)
+Replaces: gdb (<< 7.8), gdbserver (<< 7.8)
+Description: The GNU Debugger Documentation
  GDB is a source-level debugger, capable of breaking programs at
  any specific line, displaying variable values, and determining
- where errors occurred. Currently, gdb supports C, C++, D,
- Objective-C, Fortran, Java, OpenCL C, Pascal, assembly, Modula-2,
- Go, and Ada. A must-have for any serious programmer.
+ where errors occurred. Currently, it works for C, C++, Fortran,
+ Modula 2 and Java programs. A must-have for any serious
+ programmer.
  .
- This package contains a minimal version of GDB with optional features
- disabled.
+ This package contains the GDB manual.
