=== debian/rules ===
--- 
+++ 
@@ -113,9 +113,16 @@
   run_tests := only enabled for linux targets
 endif
 
+# FIXME: hanging on the Ubuntu buildds?
+#ifneq (,$(filter armhf, $(DEB_HOST_ARCH)))
+#  run_tests := not enabled for $(DEB_HOST_ARCH)
+#endif
+
 ifdef GDB_TARGET
   run_tests := disabled for cross builds
 endif
+
+run_tests := disabled for this upload
 
 # ---------- configure options, for all variants ----------
 
@@ -131,6 +138,7 @@
 	--host=$(DEB_HOST_GNU_TYPE) \
 	--prefix=/usr \
 	--libexecdir="\$${prefix}/lib/gdb" \
+	--disable-werror \
 	--disable-maintainer-mode \
 	--disable-dependency-tracking \
 	--disable-silent-rules \
@@ -144,9 +152,10 @@
 	--with-system-zlib \
 	--without-guile \
 	--without-babeltrace \
-	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 	$(if $(filter linux, $(DEB_HOST_ARCH_OS)),--with-debuginfod) \
 	$(arch_config_args) \
+
+#	$(if $(filter $(DEB_HOST_ARCH), armhf arm64 mips mipsel ppc64el riscv64),--disable-sim) \
 
 default_configure_args = \
 	$(common_configure_args) \
@@ -155,7 +164,6 @@
 	--with-lzma \
 	--with-python=python3 \
 	--with-xxhash \
-	--with-mpfr \
 
 # multiarch targets; this is taken from the binutils-multiarch package but
 # doesn't seem like a terribly nice list; see
@@ -222,6 +230,7 @@
 
 stamps/configure-%:
 	@mkdir -p stamps
+	rm -f gdb/doc/GDBvn.texi
 	rm -rf $(builddir_$*)
 	mkdir -p $(builddir_$*)
 	@echo "gdb-$*: configured with: $(subst ___, ,$(foreach i,$($*_configure_args),$(i)\n\t))"
@@ -243,6 +252,9 @@
 ifeq ($(run_tests),yes)
 	$(MAKE) $(NJOBS) -C $(builddir_default)/gdb check \
 	  || echo "*** Tests failed, of course. ***"
+	@echo "===== TEST SUMMARY BEGIN ====="
+	-cat $(builddir_default)/gdb/testsuite/gdb.sum
+	@echo "===== TEST SUMMARY END ====="
 else
 	@echo "***Tests disabled: $(run_tests) ***"
 endif
@@ -281,11 +293,3 @@
 	dh_install
 
 	install -d debian/gdb$(TS)/usr/share/man/man1; \
-	install -m 644 debian/gcore.1 debian/gdb$(TS)/usr/share/man/man1/.
-
-	if [ -x debian/tmp/usr/bin/run ]; then \
-		mv debian/tmp/usr/bin/run \
-		  debian/gdb$(TS)/usr/bin/$(DEB_TARGET_ALIAS)-run; \
-	fi
-	if [ -r debian/tmp/usr/share/man/man1/run.1 ]; then \
-		mv debian/tmp/usr/share/man/man1/run.1 \
