=== debian/watch ===
# See uscan(1) for format
version=3
opts=pgpsigurlmangle=s/$/.sig/ https://ftp.gnu.org/gnu/gdb/gdb-(.*)\.tar\.(?:gz|bz2|xz)
